# -*- python -*-
# -*- coding: utf-8 -*-
#
# DDPortfolio service DdportfolioController
# Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>
#
# This file is part of DDPortfolio service.
#
# DDPortfolio service is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# DDPortfolio service is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
#
import logging
import simplejson

from ddportfolioservice.lib.base import *
from ddportfolioservice.model.form import *
from ddportfolioservice.model.urlbuilder import *

log = logging.getLogger(__name__)

class DdportfolioController(BaseController):

    def index(self):
        # Return a rendered template
        #   return render('/some/template.mako')
        # or, Return a response
        return render('/showform.mako')

    def handle_post(self):
        schema = DeveloperData()
        try:
            form_result = schema.to_python(request.params)
        except formencode.validators.Invalid, error:
            c.messages = { 'errors' : error.unpack_errors() }
            return render('/showform.mako')
        data = build_urls(form_result)
        if 'mode' in request.params and request.params['mode'] == 'json':
            response.headers['Content-Type'] = 'text/json'
            return simplejson.dumps(data['data'])
        c.urldata = data
        return render('/showurls.mako')
