<%doc>
Template for the data input form.
Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>

This file is part of DDPortfolio service.

DDPortfolio service is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

DDPortfolio service is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with this program.  If not, see
<http://www.gnu.org/licenses/>.
</%doc>
<!DOCTYPE html PUBLIC
"-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
 <head>
  <title>${_('Debian Developer Portfolio')}</title>
  ${h.stylesheet_link_tag('style')}
 </head>
 <body>
  ${h.start_form(h.url_for(action='handle_post'), method='post')}
   <fieldset id="ddportfolio">
    <legend>${_('Debian Developer Portfolio')}</legend>
    <label for="name">${_('Name:')}
      % if 'name' in c.messages['errors']:
      <br /><span class="errormsg">${c.messages['errors']['name']}</span>
      % endif
    </label><br />
    ${h.text_field('name', value=request.params.get('name', None))}<br />
    <label for="email">${_('E-Mail address:')}
      % if 'email' in c.messages['errors']:
      <br /><span class="errormsg">${c.messages['errors']['email']}</span>
      % endif
    </label><br />
    ${h.text_field('email', value=request.params.get('email', None))}<br />
    <label for="username">${_('User name:')}
      % if 'username' in c.messages['errors']:
      <br /><span class="errormsg">${c.messages['errors']['username']}</span>
      % endif
    </label><br />
    ${h.text_field('username', value=request.params.get('username', None))}<br />
    <label for="mode_html">${_('Output format:')}</label><br />
    ${_('HTML')}&#160;${h.radio_button('mode', 'html', checked=(request.params.get('mode', 'html') == 'html'))}&#160;${_('JSON')}&#160;${h.radio_button('mode', 'json', checked=(request.params.get('mode', 'html') == 'json'))}<br />
    ${h.submit(value=_('Build DD Portfolio URLs'))}
   </fieldset>
  ${h.end_form()}
 </body>
</html>
